Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.python.core.io
Class TextIOInputStream

    java.lang.Object
      java.io.InputStream
          org.python.core.io.TextIOInputStream

All Implemented Interfaces:
  Closeable

    public class TextIOInputStream

extends InputStream

An InputStream tie-in to a TextIOBase.

Constructor Summary
`TextIOInputStream(TextIOBase textIO)` Creates an InputStream wrapper to a given TextIOBase.

Method Summary
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b, int off, int len)`
`long` | `skip(long n)`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextIOInputStream

    public TextIOInputStream(TextIOBase textIO)

  Creates an InputStream wrapper to a given TextIOBase.

  Parameters:
    `textIO` - a TextIOBase

Method Detail

### read

    public int read()
             throws IOException

  Specified by:
    `read` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### skip

    public long skip(long n)
              throws IOException

  Overrides:
    `skip` in class `InputStream`
  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jython homepage